# SourcePath: ntp/20201130dev
Summary: Synchronizes system time using the Network Time Protocol (NTP).
Name: sony-target-dev-ntp
%define pkgname	%{sony_tool_triplet}-%{sony_target_dialect}-dev-ntp
Version: 4.2.8p15
Release: 12000001
License: LGPLv2.1
URL: http://www.ntp.org/downloads.html
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
Group: %{sony_group}
Source	  	: ntp-%{version}.tar.gz 
Source2		: configure-ntp
Patch1          : ntp-%{version}-nano.patch
Buildroot 	: %{_tmppath}/%{name}-root
Prefix	  	: %{sony_target_dir}
%define _defaultdocdir	%{sony_target_dir}%{sony_target_doc_dir}

#
#	SRPM
#

%description

The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source.  The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

Install the ntp package if you need tools for keeping your system's
time synchronized via the NTP protocol.

%package -n %{pkgname}
Summary: Synchronizes system time using the Network Time Protocol (NTP).
Group: %{sony_group}
AutoReqProv: no


%description -n %{pkgname}

The Network Time Protocol (NTP) is used to synchronize a computer's
time with another reference time source.  The ntp package contains
utilities and daemons which will synchronize your computer's time to
Coordinated Universal Time (UTC) via the NTP protocol and NTP servers.
The ntp package includes ntpdate (a program for retrieving the date
and time from remote machines via a network) and ntpd (a daemon which
continuously adjusts system time).

Install the ntp package if you need tools for keeping your system's
time synchronized via the NTP protocol.


#
#	RPM
#


%prep
%setup -n ntp-%{version}
%patch1 -p1

%build
%sony_target_dev_setup

%target_acplatvars
export ac_cv_sizeof_signed_char=1
%if "%{sony_target_cpu_type}" == "mips"
export ac_cv_func_timer_create=no
export ac_cv_func_timer_settime=no
%endif

%sony_target_dev_configure --with-yielding-select --without-ntpsnmpd  --with-crypto=openssl,libcrypto \
--with-openssl-incdir=%{sony_target_dir}%{sony_target_dev_include_dir}/  --with-openssl-libdir=%{sony_target_dir}%{sony_target_dev_lib_dir}
cp config.h ../include/
#make CC="$CC -I../../include -DCLOCK_REALTIME=0"
make CC="$CC -DCLOCK_REALTIME=0"


%install
%sony_target_dev_setup
PATH=%{sony_cross_bin_dir}:$PATH
rm -rf %{buildroot}

%sony_target_dev_makeinstall bindir=%{sony_target_dev_sbin_dir}
cd ..
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}
        for file in ntpq ntpdc ntptrace; do \
                mv %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/$file %{buildroot}%{sony_target_dir}%{sony_target_dev_bin_dir}/$file; \
        done
        install -m 0755 %{SOURCE2} \
                %{buildroot}%{sony_target_dir}%{sony_target_dev_sbin_dir}/configure-ntp

rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_man_dir}/
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/share/man
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_prefix}/share/doc

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_bin_dir}/ntpdc
%{sony_target_dir}%{sony_target_dev_bin_dir}/ntpq
%{sony_target_dir}%{sony_target_dev_bin_dir}/ntptrace
%{sony_target_dir}%{sony_target_dev_sbin_dir}/configure-ntp
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntpd
%{sony_target_dir}%{sony_target_dev_sbin_dir}/sntp
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntp-wait
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntp-keygen
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntpdate
%{sony_target_dir}%{sony_target_dev_sbin_dir}/ntptime
%{sony_target_dir}%{sony_target_dev_sbin_dir}/tickadj
%{sony_target_dir}%{sony_target_dev_sbin_dir}/calc_tickadj
%{sony_target_dir}%{sony_target_dev_sbin_dir}/update-leap
%{sony_target_dir}%{sony_target_dev_data_dir}/ntp/lib/NTP/Util.pm

%changelog
* Mon Nov 30 2020 Sony Corporation
- Updated to 4.2.8p15

* Wed Nov 27 2019 Sony Corporation
- Changed License information.

* Mon Jul 29 2017 Sony Corporation
- Version update  4.2.8p9 -> 4.2.8.p13

* Tue Jan 24 2017 Sony Corporation
- Version update  4.2.8p6 -> 4.2.8.p9

* Fri Mar 11 2016 Sony Corporation
- Rebuilded due to libcap2 update

* Mon Feb 08 2016 Sony Corporation
- Version update  4.2.6p5 -> 4.2.8p6

* Mon Aug 12 2013 Sony Corporation
- Changed License information.

* Wed Apr 03 2013 Sony Corporation
- Version updated to 4.2.6p5.

* Tue Feb 09 2010 Sony Corporation
- Added nano support patch.

* Fri Jan 22 2010 Sony Corporation
- Version update  4.2.4p7 -> 4.2.4p8

* Fri May 29 2009 Sony Corporation
- Version update  4.2.4p6 -> 4.2.4p7

* Wed Mar 04 2009 Sony Corporation
- Version update  4.2.4p4 -> 4.2.4p6

* Wed Aug 30 2008 Sony Corporation
- Version update  4.2.4p3 -> 4.2.4p4

* Wed Aug 01 2007 Sony Corporation
- Version update  4.1.2 -> 4.2.4p3

* Thu Feb 17 2005 Sony Corporation
- Initial build.

